Page MenuHomePhabricator

Make the step UI and controller classes more self-contained
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterMove detailsValid to details step controller
mediawiki/extensions/UploadWizard : masterMove some upload step UI stuff out of ui.Wizard
mediawiki/extensions/UploadWizard : masterMove some details UI stuff out of the Wizard UI

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur changed Security from none to None.
MarkTraceur added a subscriber: MarkTraceur.

Change 178604 had a related patch set uploaded (by MarkTraceur):
Move some details UI stuff out of the Wizard UI

https://gerrit.wikimedia.org/r/178604

Patch-For-Review

MarkTraceur moved this task from Untriaged to Next up on the Multimedia board.Dec 9 2014, 8:48 PM

Change 178642 had a related patch set uploaded (by MarkTraceur):
Move some upload step UI stuff out of ui.Wizard

https://gerrit.wikimedia.org/r/178642

Patch-For-Review

Change 178672 had a related patch set uploaded (by MarkTraceur):
Move detailsValid to details step controller

https://gerrit.wikimedia.org/r/178672

Patch-For-Review

Change 178604 merged by jenkins-bot:
Move some details UI stuff out of the Wizard UI

https://gerrit.wikimedia.org/r/178604

Change 178642 merged by jenkins-bot:
Move some upload step UI stuff out of ui.Wizard

https://gerrit.wikimedia.org/r/178642

Change 178672 merged by jenkins-bot:
Move detailsValid to details step controller

https://gerrit.wikimedia.org/r/178672

Gilles moved this task from Needs code review to Next up on the Multimedia board.Jan 8 2015, 5:34 AM

Still need tests for Firefogg (which is why this is still in the current sprint). All other patches merged.

Wait, that comment was on the wrong bug. @Gilles do you remember why this wasn't closed?

Gilles closed this task as Resolved.Mar 15 2015, 11:10 AM